# TRADEMARK POLICY

This Policy of Amazon.com, Inc. or its affiliates (“Amazon”) provides guidelines for use of the “Bottlerocket” and “Bottlerocket Remix” trademarks (“Bottlerocket Trademarks") to identify Amazon’s Bottlerocket software.
Use of the Bottlerocket Trademarks must be in accordance with this policy.
Our goal is to ensure that Amazon’s trademarks remain reliable indicators of quality and security while also permitting community members, software distributors and others we work with to discuss Amazon’s products and to accurately describe such products’ affiliation with Amazon, as well as exercise their rights given Bottlerocket’s open source nature.
Note that this policy only applies to use of the Bottlerocket Trademarks.
Use of any other Amazon trademarks is not included in or covered by this policy.

## OVERALL GUIDELINES

You may use the “Bottlerocket” word mark in plain text to refer to Amazon’s Bottlerocket software in compliance with this policy.
You may use certain Bottlerocket Trademarks as specified in the section on modifications.
Any other use of the Bottlerocket Trademarks, including any logos, requires prior written permission.

Overall, your use of the Bottlerocket Trademarks must not be confusing or damaging to Amazon or to the Bottlerocket Trademarks themselves.

People should always know who they are dealing with, and where the software they are downloading and using came from.
You may not use the Bottlerocket Trademarks in any manner that implies approval or endorsement by, or association with, Amazon.
Following the guidelines below for modifications will help avoid confusion.

You may not use the Bottlerocket Trademarks to damage the reputation of Amazon or our Bottlerocket software or to make any false or misleading statements.
You may not use the Bottlerocket Trademarks in a manner that may diminish or otherwise damage Amazon’s goodwill in the Bottlerocket Trademarks.
The Bottlerocket Trademarks should be used in their exact form and not abbreviated or combined with any other word or words (e.g., “Bottlerocket” software rather than “BTLRKT” or “Bottlerocket-fied”).

Amazon owns all rights in the Bottlerocket Trademarks, and your use of them does not transfer rights to you.
Any goodwill generated by your use of the Bottlerocket Trademarks will belong to Amazon.

## MODIFICATIONS

Those taking full advantage of the open source nature of the Bottlerocket code may make modifications in accordance with the applicable open source license to create Derivative Works (as defined in the Apache License, version 2.0).
“Bottlerocket” is the primary Bottlerocket Trademark for use in referring to unmodified Amazon Bottlerocket software.
You may use not use the Bottlerocket Trademark to refer to Derivative Works (except with regard to Bottlerocket Remixes as outlined below) or any product other than Amazon’s Bottlerocket software.
You may use “Bottlerocket” in the directory structures, except for file names, in Derivative Works.

“Bottlerocket Remix” is our secondary Bottlerocket Trademark that provides downstream distributors a means to indicate that their software is a Derivative Work of Bottlerocket.
You may use “Bottlerocket Remix” to refer to those Derivative Works, including using “Bottlerocket Remix” in the names of machine images of those Derivative Works, but you must add an additional identifier indicating you as the source of the Bottlerocket Remix (e.g., “Bottlerocket Remix by Foocorp” or “Foocorp’s Bottlerocket Remix”).
Additionally, to avoid misleading a user into believing that a Derivative Work is a native Amazon product, if you modify any file where the file name contains “Bottlerocket” or the Amazon name, you must rename that file (except files that contain only an Amazon copyright that is part of an open source license header).
You may use “Bottlerocket Remix” in file names.

## RELATED SOFTWARE

Amazon recognizes that community members writing related software need some way to identify the Amazon product to which that software pertains.
Users should not be confused as to whether the related software is an official Amazon product or otherwise approved by Amazon.
The name of such software may not include, in whole or in part, the Bottlerocket Trademarks in a way that suggests a connection between Amazon and the extension.

## QUESTIONS

If you are unsure whether your use of the Bottlerocket Trademarks would run afoul of this policy, feel free to contact us and ask.
If you have questions about these guidelines or use of any other Amazon trademark, please contact trademarks@amazon.com for assistance, or write to us at:

**Amazon.com, Inc.<br>
Attention: Trademarks<br>
PO Box 81226<br>
Seattle, WA 98108-1226**

This policy is based in part on the [open source trademark policy defined by the Mozilla organization](https://www.mozilla.org/en-US/foundation/trademarks/policy/), as adapted to [Amazon’s Carbonado policy](https://github.com/Carbonado/Carbonado/blob/master/TRADEMARK.md), as adapted to [Amazon’s Corretto policy](https://github.com/corretto/corretto-8/blob/master/TRADEMARKS.md).
Thus, the text of this policy (and not the Bottlerocket Trademarks themselves) is licensed under the Creative Commons “Attribution-ShareAlike 2.0” license.

## FAQ:

**1. Can I create and redistribute my own builds of Bottlerocket?**
If you build Bottlerocket from unmodified source and redistribute the results, you may use “Bottlerocket” only if it is clear in both the name of your distribution and the content associated with it that your distribution is your build of Amazon’s Bottlerocket and not the official build, and you must identify the commit from which it is built, including the commit date.

**2. How can I use the Bottlerocket Trademarks to refer to my own version of Amazon’s Bottlerocket, for example a version adapted for a different container orchestrator?**
If you modify Amazon’s Bottlerocket to work with a different container orchestrator, you may use “Bottlerocket Remix” to refer to your version in accordance with the policy guidelines.
If you have the rights to use the trademarks of that container orchestrator in this manner, you may append the name of that container orchestrator to “Bottlerocket Remix”.

<!--
(This comment is for Bottlerocket contributors and is not part of this policy.)
If the method for modifying `os-release` changes, you may change FAQ entry #3 to reflect the new method.
-->

**3. What OS changes do I need to make to a modified version of Bottlerocket to comply with this policy?**
You must modify the `os-release` file to either use your “Bottlerocket Remix” name or to remove the Bottlerocket Trademarks.
This can be done by modifying both `packages/release/release.spec` and `tools/rpm2img`.
Names of the system root (e.g. `/x86_64-bottlerocket-linux-gnu/sys-root`), partition labels, directory paths, and service file descriptions do not need to be changed to comply with this policy.
